﻿@model IEnumerable<CarRental.Core.Models.Booking>

@{
    ViewData["Title"] = "Index";
}

<section class="ftco-section bg-light">
    <div class="container">

        <div class="row">
            <div class="col-md-8">
                <h4>You have <span>@Model.Count()</span> on-going booking(s)</h4>
            </div>
            <div class="col-md-4">
                <div class="dropdown show float-right">
                    <a class="btn btn-secondary dropdown-toggle" href="#"
                       role="button" id="dropdownMenuLink"
                       data-toggle="dropdown" aria-haspopup="true"
                       aria-expanded="false">
                        Newest to lastest
                    </a>

                    <div class="dropdown-menu dropdown-menu-right"
                         aria-labelledby="dropdownMenuLink">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                    </div>
                </div>
            </div>
        </div>
        @foreach (var item in Model)
        {
            <div class="car-wrap car-wrapper rounded ftco-animate mt-3 mb-3">
                <div class="row blog_1 mb-5">
                    <div class="col-md-5">
                        <div class="car-wrap rounded ftco-animate m-2">
                            <div id="carouselExampleIndicators2" class="carousel slide"
                             data-ride="carousel">
                                <ol class="carousel-indicators">
                                    <li data-target="#carouselExampleIndicators2"
                                    data-slide-to="0" class="active"></li>
                                    <li data-target="#carouselExampleIndicators2"
                                    data-slide-to="1"></li>
                                    <li data-target="#carouselExampleIndicators2"
                                    data-slide-to="2"></li>
                                </ol>
                                <div class="carousel-inner">
                                    <div class="carousel-item active">
                                        <img class="d-block w-100 rounded"
                                         src="@Url.Content(item.Car.CarImage.FrontImg)" alt="First slide">
                                    </div>
                                    <div class="carousel-item">
                                        <img class="d-block w-100 rounded"
                                         src="@Url.Content(item.Car.CarImage.BackImg)" alt="Second slide">
                                    </div>
                                    <div class="carousel-item">
                                        <img class="d-block w-100 rounded"
                                         src="@Url.Content(item.Car.CarImage.LeftImg)" alt="Third slide">
                                    </div>
                                    <div class="carousel-item">
                                        <img class="d-block w-100 rounded"
                                         src="@Url.Content(item.Car.CarImage.RightImg)" alt="Fourth slide">
                                    </div>
                                </div>
                                <a class="carousel-control-prev"
                               href="#carouselExampleIndicators2" role="button"
                               data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </a>
                                <a class="carousel-control-next"
                               href="#carouselExampleIndicators2" role="button"
                               data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4" style="color: black;">
                        <div class="card-title mt-2">
                            <h2>@Html.DisplayFor(modelItem => item.Car.CarName)</h2>
                        </div>
                        <div class="model_pg1i clearfix">
                            <div class="model_m clearfix border-top-0">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-12 col-sm-12">
                                        <div class="model_pg1i2r">
                                            <ul>
                                                <li class="mb-0 fw-bolder">
                                                    From :
                                                    @Html.DisplayFor(modelItem => item.StartDateTime)
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="model_m clearfix border-top-0">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-12 col-sm-12">
                                        <div class="model_pg1i2r">
                                            <ul>
                                                <li class="mb-0 fw-bolder">
                                                    To :
                                                    @Html.DisplayFor(modelItem => item.EndDateTime)
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="model_m clearfix border-top-0">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2r">
                                            <label class="mb-0 fw-bolder">Number of days:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2l">
                                            <span>
                                                @Html.DisplayFor(modelItem => item.NumberOfDays)
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="model_m clearfix border-top-0 mt-3">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2r">
                                            <label class="mb-0 fw-bolder">Base price:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2l">
                                            <span class="price">
                                                @string.Format("{0:N0} VND", item.BasePrice)
                                                /day
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="model_m clearfix border-top-0 mt-3">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2r">
                                            <label class="mb-0 fw-bolder">Total:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2l">
                                            @{
                                                decimal basePrice = item.BasePrice;
                                                decimal totalPrice = item.NumberOfDays * basePrice;
                                                decimal totalDeposit = item.Deposit;
                                            }
                                            <span class="price">
                                                @string.Format("{0:N0} VND",totalPrice)
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="model_m clearfix border-top-0 mt-3">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2r">
                                            <label class="mb-0 fw-bolder">Deposit:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2l">
                                            <span class="price">
                                                @string.Format("{0:N0} VND", item.Deposit)
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="model_m clearfix border-top-0 mt-3">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2r">
                                            <label class="mb-0 fw-bolder">Booking No.:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2l">
                                            <span>
                                                <strong>
                                                    @Html.DisplayFor(modelItem => item.BookingNo)
                                                </strong>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="model_m clearfix border-top-0 mt-3">
                                <div class="model_pg1i2 row">
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2r">
                                            <label class="mb-0 fw-bolder">Booking status:</label>
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">
                                        <div class="model_pg1i2l">
                                            @if (item.Status == "1")
                                            {
                                                <span class="booking-confirmed fw-bold">
                                                    Confirmed
                                                </span>
                                            }
                                            else if (item.Status == "2")
                                            {
                                                <span class="booking-in-progress fw-bold">
                                                    In-progress
                                                </span>
                                            }
                                            else if (item.Status == "3")
                                            {
                                                <span class="booking-completed fw-bold">
                                                    Completed
                                                </span>
                                            }
                                            else if (item.Status == "4")
                                            {
                                                <span class="booking-cancelled fw-bold">
                                                    Cancelled
                                                </span>
                                            }
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @if (item.Status == "1")
                    {
                        <div class="col-md-3">
                            <div class="rounded ftco-animate m-2">
                                <div class="text m-2">
                                    <a class="btn btn-primary d-block mb-1 ml-1 w-100 p-2"
                               href="@Url.Action("Details", "Booking", new { id = item.BookingId })">
                                        View Details
                                    </a>
                                    <button data-target="#bs-confirm-modal-sm-@item.BookingId" data-toggle="modal" class="btn btn-success  d-block mb-1 ml-1 w-100 p-2">
                                        Confirm pick-up
                                    </button>
                                    <button data-target="#bs-cancel-modal-sm-@item.BookingId" data-toggle="modal" class="btn btn-danger d-block mb-1 ml-1 w-100 p-2">
                                        Cancel
                                    </button>
                                </div>
                            </div>
                        </div>
                    }
                    else if (item.Status == "2")
                    {
                        <div class="col-md-3">
                            <div class="rounded ftco-animate m-2">
                                <div class="text m-2">
                                    <a class="btn btn-primary d-block mb-1 ml-1 w-100 p-2"
                               href="@Url.Action("Details", "Booking", new { id = item.BookingId })">
                                        View Details
                                    </a>
                                    <button data-toggle="modal"
                                    data-target="#bs-chargeModal-modal-sm-@item.BookingId"
                                    class="btn btn-warning d-block mb-1 ml-1 w-100 p-2">
                                        Return Car
                                    </button>
                                </div>
                            </div>
                        </div>
                    }
                    else if (item.Status == "3")
                    {
                        <div class="col-md-3">
                            <div class="rounded ftco-animate m-2">
                                <div class="text m-2">
                                    <a class="btn btn-primary d-block mb-1 ml-1 w-100 p-2"
                               href="@Url.Action("Details", "Booking", new { id = item.BookingId })">
                                        View
                                        Details
                                    </a>
                                    <button data-toggle="modal"
                                    data-target="#bs-rating-modal-sm-@item.BookingId"
                                    class="btn btn-success d-block mb-1 ml-1 w-100 p-2">
                                        Give ratings
                                    </button>
                                </div>
                            </div>
                        </div>
                    }
                    else if (item.Status == "4")
                    {
                        <div class="col-md-3">
                            <div class="rounded ftco-animate m-2">
                                <div class="text m-2">
                                    <a class="btn btn-primary d-block mb-1 ml-1 w-100 p-2"
                               href="@Url.Action("Details", "Booking", new { id = item.BookingId })">
                                        View
                                        Details
                                    </a>
                                </div>
                            </div>
                        </div>
                    }
                </div>
            </div>
            if (totalPrice > totalDeposit)
            {
                <div tabindex="-1" class="modal" id="bs-chargeModal-modal-sm-@item.BookingId" role="dialog" aria-hidden="true">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content">
                            <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                                <h5>Return Car</h5>
                            </div>
                            <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                                Please confirm to return the car. The remaining amount of @string.Format("{0:N0} VND", totalPrice - totalDeposit) will be  detucted from your wallet
                            </div>
                            <div class="row d-flex">
                                <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                    <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                                </div>
                                <div class="col-md-6">
                                    <form method="post"
                                  asp-controller="Booking"
                                  asp-action="ReturnCar"
                                  asp-route-bookingId="@item.BookingId">
                                        <button type="submit" class="btn btn-outline w-100">
                                            Yes
                                        </button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            }
            else if (totalPrice < totalDeposit)
            {
                <div tabindex="-1" class="modal" id="bs-chargeModal-modal-sm-@item.BookingId" role="dialog" aria-hidden="true">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content">
                            <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                                <h5>Return Car</h5>
                            </div>
                            <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                                Please confirm to return the car. The remaining  amount of @string.Format("{0:N0} VND", totalDeposit - totalPrice) will be  returned from your wallet
                            </div>
                            <div class="row d-flex">
                                <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                    <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                                </div>
                                <div class="col-md-6">
                                    <form method="post"
                                  asp-controller="Booking"
                                  asp-action="ReturnCar"
                                  asp-route-bookingId="@item.BookingId">
                                        <button type="submit" class="btn btn-outline w-100">Yes</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            }
            <div tabindex="-1" class="modal " id="bs-rating-modal-sm-@item.BookingId" role="dialog" aria-hidden="true">
                <div class="modal-dialog modal-sm">
                    <div class="modal-content">
                        <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                            <h5>Rating</h5>
                        </div>
                        <div>
                            <form method="post"
                              asp-controller="Booking"
                              asp-action="RateCar"
                              asp-route-bookingId="@item.BookingId">
                                <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                                    <div>
                                        <span>Do you enjoy your trip? Please let us know what you think</span>
                                    </div>
                                    <input type="hidden" name="bookingId" value="@item.BookingId" />
                                    <div class="starrating risingstar d-flex justify-content-center flex-row-reverse">
                                        <input type="radio" id="star5" name="ratings" value="5" />
                                        <label for="star5" title="5 star"></label>
                                        <input type="radio" id="star4" name="ratings" value="4" />
                                        <label for="star4" title="4 star"></label>
                                        <input type="radio" id="star3" name="ratings" value="3" />
                                        <label for="star3" title="3 star"></label>
                                        <input type="radio" id="star2" name="ratings" value="2" />
                                        <label for="star2" title="2 star"></label>
                                        <input type="radio" id="star1" name="ratings" value="1" />
                                        <label for="star1" title="1 star"></label>
                                    </div>
                                    <textarea name="content" rows="5" cols="31"></textarea>
                                </div>
                                <div class="row d-flex">
                                    <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                        <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                                    </div>
                                    <div class="col-md-6">

                                        <button type="submit" class="btn btn-outline w-100">Yes</button>

                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div tabindex="-1" class="modal " id="bs-confirm-modal-sm-@item.BookingId" role="dialog" aria-hidden="true">
                <div class="modal-dialog modal-sm">
                    <div class="modal-content">
                        <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                            <h5>Confirm</h5>
                        </div>
                        <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                            Are you sure you want to confirm pick-up?
                        </div>
                        <div class="row d-flex">
                            <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                            </div>
                            <div class="col-md-6">
                                <form method="post"
                                  asp-controller="Booking"
                                  asp-action="ConfirmPickup"
                                  asp-route-bookingId="@item.BookingId">
                                    <button type="submit" class="btn btn-outline w-100">Yes</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div tabindex="-1" class="modal" id="bs-cancel-modal-sm-@item.BookingId" role="dialog" aria-hidden="true">
                <div class="modal-dialog modal-sm">
                    <div class="modal-content">
                        <div class="modal-header" style="justify-content: center; border: none; padding: 0%;">
                            <h5>Cancel</h5>
                        </div>
                        <div class="modal-body" style="border-bottom: 1px solid #cbc6c6;padding: 0 1rem 2rem 1rem; color:black">
                            Are you sure you want to cancel this booking?
                        </div>
                        <div class="row d-flex">
                            <div class="col-md-6" style=" border-right: 1px solid #cbc6c6;">
                                <button class="btn btn-outline w-100" data-dismiss="modal">No</button>
                            </div>
                            <div class="col-md-6">
                                <form method="post"
                                  asp-controller="Booking"
                                  asp-action="CancelBooking"
                                  asp-route-bookingId="@item.BookingId">
                                    <button type="submit" class="btn btn-outline w-100">Yes</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        }



        <div class="row mt-5">
            <div class="col text-center">
                <div class="block-27">
                    <ul>
                        <li><a href="#">&lt;</a></li>
                        <li class="active"><span>1</span></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">5</a></li>
                        <li><a href="#">&gt;</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>
@section Css {
    <style>
        .car-wrap {
            margin-bottom: 0px !important;
        }

        .booking-confirmed {
            color: green;
        }

        .content-text {
            margin-top: 2px;
            margin-bottom: 2px;
        }

            .content-text > p {
                font-size: 15px !important;
                line-height: 1;
                color: black;
            }

            .content-text > h2 {
                font-size: 18px !important;
            }

            .content-text > p > span {
                font-weight: bold;
            }

        .booking-in-progress {
            color: rgb(190, 164, 11);
        }

        .booking-cancelled {
            color: red;
        }

        .booking-completed {
            color: rgb(35, 77, 168);
        }

        h1[alt="Simple"] {
            color: white;
        }

        a[href], a[href]:hover {
            color: grey;
            text-decoration: none
        }


        body {
            background: #4a4a4c !important;
        }

        .starrating > input {
            display: none;
        }
        /* Remove radio buttons */

        .starrating > label:before {
            content: "\f005"; /* Star */
            margin: 2px;
            font-size: 2em;
            font-family: FontAwesome;
            display: inline-block;
        }

        .starrating > label {
            color: #222222; /* Start color when not clicked */
        }

        .starrating > input:checked ~ label {
            color: #ffca08;
        }
        /* Set yellow color when star checked */

        .starrating > input:hover ~ label {
            color: #ffca08;
        }
        /* Set yellow color when star hover */
    </style>
}
